pro ppt_overplot_reference,Event,pmode
	;
	;	overplots reference vectors and label
	;
	;	pmode = 0 - pixel coords
	;	pmode = 1 - equatorial degrees
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR
	;
	n_vec = (*PTR).n_select
	;
	if(n_vec eq 0) then goto, skip_to_end
	;
	;	for ref vector, do an oplot from start to end
	;
	i = n_vec
	;
	;	if length set to zero, skip plot and label
	;
	if((*(*PTR).vectors_ptr)[i].vec_length eq 0.0) then goto, skip_to_end
	;
	if(pmode eq 0) then begin
		x_0 = (*(*PTR).vectors_ptr)[i].x_0
		y_0 = (*(*PTR).vectors_ptr)[i].y_0
		;
		x_1 = (*(*PTR).vectors_ptr)[i].x_1
		y_1 = (*(*PTR).vectors_ptr)[i].y_1
		;
		xmin = min( (*(*PTR).vectors_ptr)[0:i-1].x_0 )
		xmax = max( (*(*PTR).vectors_ptr)[0:i-1].x_1 )
		dx = abs(xmax - xmin)
		;
	endif else begin
		x_0 = (*(*PTR).vectors_ptr)[i].RA_0
		y_0 = (*(*PTR).vectors_ptr)[i].Dec_0
		;
		x_1 = (*(*PTR).vectors_ptr)[i].RA_1
		y_1 = (*(*PTR).vectors_ptr)[i].Dec_1
		;
		xmin = min( (*(*PTR).vectors_ptr)[0:i-1].ra_0 )
		xmax = max( (*(*PTR).vectors_ptr)[0:i-1].ra_1 )
		dx = abs(xmax - xmin)
	endelse
	;
	;	get color, thickness
	;
	color_id = get_color(Event,(*(*PTR).vectors_ptr)[i].vec_color)
	;
	thick = (*(*PTR).vectors_ptr)[i].vec_thick
	ps_thick = (*PTR).ps_thick
	;
	thick *= ps_thick
	;
	oplot, [x_0, x_1], [y_0, y_1], psym=-3, symsize=0.003, color=color_id, thick=thick
	;
	x_cen = 0.5 * (x_0 + x_1)
	y_cen = 0.5 * (y_0 + y_1)
	;
	;	plot label in same color
	;
	ref_label = (*PTR).reference_lengths[(*PTR).reference_length_index]
	;
	if(pmode eq 0) then begin
		xyouts, (*(*PTR).vectors_ptr)[i].x_cen, (*(*PTR).vectors_ptr)[i].y_cen+0.020*dx, ref_label,$
				color=color_id,align=0.5,charthick=(*PTR).thick,charsize=(*PTR).chsz
	endif else begin
;		xyouts, (*(*PTR).vectors_ptr)[i].ra_cen, (*(*PTR).vectors_ptr)[i].dec_cen+0.020*dx, ref_label,$
;				color=color_id,align=0.5,charthick=thick,charsize=1.0
		xyouts, x_cen, y_cen+0.020*dx, ref_label,$
				color=color_id,align=0.5,charthick=(*PTR).thick,charsize=(*PTR).chsz
	endelse
	;
skip_to_end:
;
end

