pro PPT_Write_POLCAT, Event, descriptor, index
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR
	;
	;	writes a POLCAT data type, using the index of star
	;	entries indicated
	;
	;	open output file
	;
	openw, lu_out, (*PTR).file_out, /GET_LUN
	;
	printf, lu_out, ';;Selected data file written by MSP-PPT'
	printf, lu_out, ';;on '+SYSTIME()
	printf, lu_out, ';;'+descriptor
	printf, lu_out, ';;...'
	;
	;---------------- grab header from analysis polcat file and copy to output
	;
	zprint, event, 'reading header from '+FILE_BASENAME((*PTR).analysis_polcat_path)
	;
	openr, lu_in, (*PTR).analysis_polcat_path,/GET_LUN
	WHILE ~EOF(lu_in) do begin
		line = ''
		readf, lu_in, line, format='(a)'
		ind = STRPOS(line,';;')
		if(ind eq 0) then begin
			;
			;	only copy lines without | or space in next character
			;
			jnd = STRPOS(line,'|',2)
			knd = STRPOS(line,' ',2)
			if(jnd ne 2 and knd ne 2) then printf, lu_out, line, format='(a)'
		endif
	ENDWHILE
	FREE_LUN, lu_in
	;
	;-------------------
	;
	nstars = N_ELEMENTS((*(*PTR).polcat_data).s)
	;
	nindex = N_ELEMENTS(index)
	;
	;	write header
	;
;	n_header = N_ELEMENTS((*(*PTR).polcat_data).pol_head)
;	;
	zprint, Event,"For "+string(nstars,format='(I)')+' in the '+FILE_BASENAME((*PTR).analysis_polcat_path)+$
				' POLCAT, '
	zprint, Event, '   '+string(nindex,format='(I)')+' are to be written to '+FILE_BASENAME((*PTR).file_out)
	;
	str = ';;  Num. RA[J2000]   Dec[J2000] H(Mimir)  sH      P[%]  sP[%] PA[deg]  sPA '+$
				'     Q[%]   sQ[%]     U[%]   sU[%] N   Desig(2MASS)     J_2   sJ_2  '+$
				'  H_2   sH_2    K_2   sK_2   (H-K) s(H-K) 3.6mag  s3.6m 4.5mag  '+$
				's4.5m 5.8mag  s5.8m 8.0mag  s8.0m'
	;
	printf, lu_out, str, format='(a)'
	;
	pol_struct = (*PTR).polcat_data
	;
	for ii = 0, nindex-1 do begin
		;
		is = index[ii]
		;
		;
		;
		fmt1 = '(I5.5,1x,D12.6,1x,D12.6,1x,F7.3,1x,f6.3,1x,f7.3,1x,f6.3,1x,f6.1,1x,f6.1,1x'
		fmt2 = ',2(f8.3,1x,f7.3,1x),i1,1x,a17,1x,3(f6.3,1x,f6.3,1x),f6.3,1x,f6.3,1x,'
		fmt3 = '8(f6.3,1x))'
		;
		fmt = fmt1+fmt2+fmt3
		;
		n = 0		; to signify not used
		;
		HK = (*pol_struct).s[is].H_2mass - (*pol_struct).s[is].K_2mass
		HK <= 10.0
		HK >= -10.0
		;
		sHK = (99.9 < sqrt((*pol_struct).s[is].sH2mass^2 + (*pol_struct).s[is].sK2mass^2))
		;
		this_str = STRING(is,(*pol_struct).s[is].RA_deg,(*pol_struct).s[is].Dec_deg,$
			(*pol_struct).s[is].H_mag,(*pol_struct).s[is].sHmag,$
			(*pol_struct).s[is].P,(*pol_struct).s[is].sP,$
			(*pol_struct).s[is].PA_deg,(*pol_struct).s[is].sPA,$
			(*pol_struct).s[is].Q,(*pol_struct).s[is].sQ,$
			(*pol_struct).s[is].U,(*pol_struct).s[is].sU,n,$
			(*pol_struct).s[is].desig_2mass,(*pol_struct).s[is].J_2mass,$
			(*pol_struct).s[is].sJ2mass,(*pol_struct).s[is].H_2mass,$
			(*pol_struct).s[is].sH2mass,(*pol_struct).s[is].K_2mass,$
			(*pol_struct).s[is].sK2mass,$
			HK,$
			sHK,$
			(*pol_struct).s[is].b36mag,$
			(*pol_struct).s[is].e_b36mag,$
			(*pol_struct).s[is].b45mag,$
			(*pol_struct).s[is].e_b45mag,$
			(*pol_struct).s[is].b58mag,$
			(*pol_struct).s[is].e_b58mag,$
			(*pol_struct).s[is].b80mag,$
			(*pol_struct).s[is].e_b80mag,$
			format=fmt)
		printf, lu_out, this_str, format='(a)'
	endfor
	;
	FREE_LUN, lu_out
	;
	zprint, Event, "Wrote POLCAT file "+FILE_BASENAME((*PTR).file_out)+" of "+STRING(nindex,format='(I5.1)')+" entries"
	;
end
