pro test_polcat_type, event
	;
	;	reads the POLCAT at the path indicated by the analysis_POLCAT_path
	;	and determines if it is a single POLCAT type or a merged POLCAT type
	;
	WIDGET_CONTROL,Event.top, GET_UVALUE=PTR
	;
	this_path = (*PTR).analysis_polcat_path
	;
	;	skip all lines starting with semicolons
	;
	openr, lu_in, this_path, /GET_LUN
	;
	line= ''
	WHILE ~EOF(lu_in) do begin
		readf, lu_in, line, format='(a)'
		;
		ind = STRPOS(line,';')
		;
		if(ind eq -1) then break
		;
    ENDWHILE
    ;
    ;	then, read first line and count number of pieces
    ;
    readf, lu_in, line, format='(a)'
    ;
    parts = STRSPLIT(line,' ',COUNT=nparts)
    ;
    ;	merged POLCATS have fewer than 35 and single POLCATS have more than 35
    ;
    if(nparts lt 35) then begin
    	(*PTR).is_polcat_flag = 0
    	(*PTR).is_merged_flag = 1
    	zprint,event,'Analysis POLCAT is of Merged Type'
    endif else begin
    	(*PTR).is_merged_flag = 0
    	(*PTR).is_polcat_flag = 1
    	zprint,event,'Analysis POLCAT is of Single Type'
    endelse
    ;
    FREE_LUN, lu_in
    ;
end
